Package org.linphone.core

# Enum Class RegistrationState

java.lang.Object
java.lang.Enum<RegistrationState>
org.linphone.core.RegistrationState

All Implemented Interfaces:
  `Serializable`, `Comparable<RegistrationState>`, `Constable`

public enum RegistrationState extends Enum<RegistrationState>
Describes proxy registration states.
It is notified via the registration_state_changed() callback in `CoreListener`
.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Cleared`
Unregistration succeeded.
`Failed`
Registration failed.
`None`
Initial state for registrations.
`Ok`
Registration is successful.
`Progress`
Registration is in progress.
`Refreshing`
Registration refreshing.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static RegistrationState`
`fromInt(int value)`
`protected static RegistrationState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(RegistrationState[] values)`
`static RegistrationState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RegistrationState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final RegistrationState None
Initial state for registrations.

### Progress

public static final RegistrationState Progress
Registration is in progress.

### Ok

public static final RegistrationState Ok
Registration is successful.

### Cleared

public static final RegistrationState Cleared
Unregistration succeeded.

### Failed

public static final RegistrationState Failed
Registration failed.

### Refreshing

public static final RegistrationState Refreshing
Registration refreshing.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static RegistrationState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RegistrationState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static RegistrationState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static RegistrationState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(RegistrationState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()